<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />


<div id="ldap" class="panel-div">
	<div class="realm_form_container">
		<form id="ldapEditForm" name="ldapEditForm" action="${contextPath}/protect/sysconfig/realm/saveldapRealm" method="post">
			<table class="form_tbl">
				<tr>
					<td class="label_cell"><label>安全域名称：</label></td>
					<td><input id="editldapRealmName" name="ldapRealmName" readonly="readnoly" value="${realmInfo.realmName}" type="text" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>LDAP主机：</label></td>
					<td><input type="text" name="ldapHost" id="editldapHost" value="${realmInfo.providerProps.host}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>LDAP端口：</label></td>
					<td><input type="text" onkeyup="javascript:{this.value=this.value.replace(/\D/g,''); if(this.value>65535){this.value=65535;showFailure('端口范围:0~65535.'); }}" title="端口范围:0~65535." name="ldapPort" id="editldapPort" value="${realmInfo.providerProps.port}" class="wt_80" /> <font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>LDAP根DN：</label></td>
					<td><input type="text" name="ldapRootDN" id="editldapRootDN" value="${realmInfo.providerProps.rootDN}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>根DN密码：</label></td>
					<td>
						<input type="hidden" id="ldapKey" value="${ldapKey}"/>
						<input type="password" autocomplete="off" name="ldapRootDNPassword" id="editldapRootDNPassword" value="${realmInfo.providerProps.password}" class="wt_80" /> <font color="red">*</font>
					</td>
					<td class="label_cell"><label>搜索用户基DN：</label></td>
					<td><input type="text" id="editldapsSearchBaseDN" name="ldapsSearchBaseDN" value="${realmInfo.providerProps.searchBaseDN}" class="wt_80" /> <font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>搜索组基DN：</label></td>
					<td><input type="text" name="ldapGroupBaseDN" id="editldapGroupBaseDN" value="${realmInfo.providerProps.groupBaseDN}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>用户名字段名：</label></td>
					<td><input type="text" name="ldapUserFieldName" id="editldapUserFieldName" value="${realmInfo.providerProps.userField}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>密码字段名：</label></td>
					<td><input type="text" name="ldapPasswordFieldName" id="editldapPasswordFieldName" value="${realmInfo.providerProps.passwordField}" class="wt_80" />
						<font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>组中用户成员字段名：</label></td>
					<td><input type="text" name="ldapMemberFieldName"  id="editldapMemberFieldName" value="${realmInfo.providerProps.memberField}" class="wt_80" />  <font color="red">*</font></td>
					<td colspan="3"></td>
				</tr>
			</table>
		</form>
	</div>
	<div class="realm-text-list">
		<div id="realm-ldap-buttonbar"></div>
		<table id="realm-ldap-grid"></table>
	</div>
</div>

<script type="text/javascript">
</script>
