<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<c:set var="contextPath" value="${pageContext.request.contextPath}" />
<c:set var="resBase" value="${contextPath}/res" />

<div id="jdbc" class="panel-div">
	<div class="realm_form_container">
		<form id="jdbcEditForm" name="jdbcEditForm" action="${contextPath}/protect/sysconfig/realm/savejdbcRealm" method="post">
			<table class="form_tbl">
				<tr>
					<td class="label_cell"><label>安全域名称：</label></td>
					<td><input id="editjdbcRealmName" name="jdbcRealmName" readonly="readnoly" value="${realmInfo.realmName}" type="text" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>数据源JNDI名：</label></td>
					<td><input type="text" name="jdbcDataSourceName" id="editjdbcDataSourceName" value="${realmInfo.providerProps.datasourceJndiName}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>用户信息表名：</label></td>
					<td><input type="text" name="jdbcUserTableName" id="editjdbcUserTableName" value="${realmInfo.providerProps.userTableName}" class="wt_80" /> <font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>用户名字段名：</label></td>
					<td><input type="text" name="jdbcUserName" id="editjdbcUserName" value="${realmInfo.providerProps.usernameField}" class="wt_80" /> <font color="red">*</font></td>
					<td class="label_cell"><label>密码字段名：</label></td>
					<td><input type="text" name="jdbcPassword" id="editjdbcPassword" value="${realmInfo.providerProps.passwordField}" class="wt_80" autocomplete="off"/> <font color="red">*</font></td>
					<td class="label_cell"><label>密码编码：</label></td>
					<td>
						<input type="radio" name="jdbcPasswordEncode" id="editjdbcPasswordEncodeTrue" value="true" <c:if test="${realmInfo.providerProps.needEncode eq 'true'}">checked="checked"</c:if>/><label>是</label>
						<input type="radio" id="editjdbcPasswordEncodeFalse" name="jdbcPasswordEncode" value="false" <c:if test="${realmInfo.providerProps.needEncode eq 'false'}">checked="checked"</c:if>/><label>否</label>
					</td>
				</tr>
				<tr>
					<td class="label_cell"><label>根据用户名查询用户：</label></td>
					<td colspan="5"><input type="text" name="jdbcSQLByUser" id="editjdbcSQLByUser" value="${realmInfo.providerProps.queryByUsernameSql}" class="wt_320" /> <font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>根据组名查询用户：</label></td>
					<td colspan="5"><input type="text" name="jdbcSQLByGroup" id="editjdbcSQLByGroup" value="asdasd" class="wt_320" /> <font color="red">*</font></td>
				</tr>
				<tr>
					<td class="label_cell"><label>编码密码的全类名：</label></td>
					<td colspan="4"><input type="text" name="jdbcEncodeClass"  id="editjdbcEncodeClass" value="${realmInfo.providerProps.encoderClassName}" class="wt_320" /><font style="margin-left: 5px;" color="red">*</font></td>
				</tr>
			</table>
		</form>
	</div>
	<div class="realm-text-list">
		<div id="realm-jdbc-buttonbar"></div>
		<table id="realm-jdbc-grid"></table>
	</div>
</div>

<script type="text/javascript">
</script>
